package com.jsowell.common.enums;

public enum InvoiceRecordEnum {
	NOT_INVOICED("0", "未开票"),
	INVOICED("1", "已开票"),
	;
	private String value;
	private String label;

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	InvoiceRecordEnum(String value, String label) {
		this.value = value;
		this.label = label;
	}

	public static String getLabel(String value) {
		for (InvoiceRecordEnum titleTypeEnum : InvoiceRecordEnum.values()) {
			if (titleTypeEnum.getValue().equals(value)) {
				return titleTypeEnum.getLabel();
			}
		}
		return "";
	}
}
